Bug 74694 - [Chromium] history-only-cached-subresource-loads*.html dump wrong type of output, from wrong test
Summary: [Chromium] history-only-cached-subresource-loads*.html dump wrong type of out...
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Adam Barth
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-16 00:43 PST by Hajime Morrita
Modified: 2013-04-09 16:28 PDT (History)
8 users (show)

See Also:


Attachments
history-only-cached-subresource-loads-max-age-https-actual.png (10.91 KB, image/png)
2012-08-02 00:54 PDT, Ryosuke Niwa
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hajime Morrita 2011-12-16 00:43:22 PST
This started to timeout timeout between r103011 and r103034 according to the builder.
But there is no doubtful change.

See Bug 65462 for timeout on Vista.
Comment 1 Adrienne Walker 2011-12-16 10:49:21 PST
See: http://code.google.com/p/chromium/issues/detail?id=107819
Comment 2 Adrienne Walker 2011-12-16 11:08:28 PST
Committed r103084: <http://trac.webkit.org/changeset/103084>
Comment 3 Joshua Bell 2012-05-23 16:30:54 PDT
At some point recently these flipped from MISSING expectations to TEXT differences on Linux, so updated the platform/chromium/test_expectations.txt entry
Comment 4 Peter Kasting 2012-08-01 21:38:29 PDT
This flipped to TEXT on Linux because pixel baselines were erroneously checked in.  It should have been MISSING because the test expects to be dumped as text but for some reason is generating pixel results.

I'm removing the erroneous pixel baselines and updating the expectations.  Also trying to understand why this is failing.
Comment 5 Ryosuke Niwa 2012-08-02 00:54:16 PDT
Created attachment 155993 [details]
history-only-cached-subresource-loads-max-age-https-actual.png

Looking at these results, PNG image is coming from some other test. For example,
http/tests/cache/history-only-cached-subresource-loads-max-age-https-actual.txt

layer at (0,0) size 800x600
  RenderView at (0,0) size 800x600
layer at (0,0) size 800x600
  RenderBlock {HTML} at (0,0) size 800x600
    RenderBody {BODY} at (8,8) size 784x584
      RenderText {#text} at (0,0) size 776x174
        text run at (0,0) width 776: "It's possible for a successful revalidation to cause events to fire synchronously. We shouldn't crash if one of those events stops the"
        text run at (0,155) width 360: "load. See https://bugs.webkit.org/show_bug.cgi?id=72762. "
      RenderText {#text} at (0,0) size 0x0
      RenderEmbeddedObject {OBJECT} at (360,20) size 300x150

And this output appears to be coming from cancel-during-revalidation-succeeded.html.
Comment 6 Peter Kasting 2012-08-02 00:58:57 PDT
The two tests here have a couple of problems.

(1) The tests have dumpAsText() in them, but on most platforms most of the time, they're instead dumping a pixel output and a render tree.
(2) The actual pixel output doesn't even come from this test, as noted in comment 5 -- it looks like the output of http/tests/cache/cancel-during-revalidation-succeeded.html .

This could be a DRT bug, or (maybe more likely?) an actual history or cache issue.

I'm not sure who knows the history/cache stuff.  Adam, I know you've done some loader work -- do you know how to triage this to a good person?
Comment 7 Stephen Chenney 2013-04-09 16:28:30 PDT
Marking test failures as WontFix. Bug is still accessible and recording in TestExpectations.